// $Id: pageTurn.js,v 1.1.2.1 2009/07/29 13:59:23 manfer Exp $
/********************************************************************************************
* PageEar javascript configuration file
*
* @author    Fernando San Julián
*********************************************************************************************/

// swf files
var flagSwf = 'flag';
var peelSwf = 'turn';

// Position of ear. Values: 'topleft' or 'topright'.
var peelPosition = 'topright';

// URL of small image.
var smallURL = 'small.jpg';
// URL of big image.
var bigURL = 'big.jpg';
// The image is mirrored on peel. Values: 0 (false) or 1 (true).
var mirror = 1;
// Start transition. Values: 'none', 'Blinds', 'Fade', 'Fly', 'Iris', 'Photo', 'Rotate', 'Squeeze', 'Wipe', 'PixelDissolve', 'Zoom'.
var inTransition = 'Photo';
// Transition duration. Values: 1-9
var transitionDuration = 4;

// Color of Peel. Values: 'golden', 'silver', 'custom'
var peelColor = 'golden';
// RGB values for a Custom Peel Color. Values: 0-255.
var redValue = 255;
var greenValue = 255;
var blueValue = 255;

// Where to open the link. Same or New Window (tab). Values: '_self' or '_blank'.
var linkTarget = '_blank';
// URL of link.
var link = 'http://www.manfer.co.cc';

// URL of sound on load Peel Ad.
var loadSoundURL = '';
// URL of sound when peel is opened.
var openSoundURL = '';
// URL of sound when peel is closed.
var closeSoundURL = '';

// Speed of flag movement. Values: 1-9
var flagSpeed = 4;
// Speed of peel. Values: 1-9
var peelSpeed = 4;
// Milliseconds till an automatic open of peel. Values: 0 (no automatic open) >0 (milliseconds configured).
var automaticOpen = 0;
// Milliseconds till an automatic close of peel. Values: 0 (no automatic close) >0 (milliseconds configured).
var automaticClose = 0;

// Close button on open Peel. Values: 0 (disabled) or 1 (enabled).
var close_button_enable = 0;
// Text on close button.
var text_on_close_button = 'cerrar';
// RGB values of close button. Values: 0-255.
var close_redValue = 255;
var close_greenValue = 255;
var close_blueValue = 255;


var flagQueryParams = 'peelPosition='+escape(peelPosition);

flagQueryParams += '&amp;smallURL='+escape(smallURL);
flagQueryParams += '&amp;mirror='+escape(mirror);
flagQueryParams += '&amp;inTransition='+escape(inTransition);
flagQueryParams += '&amp;transitionDuration='+escape(transitionDuration);

flagQueryParams += '&amp;peelColor='+escape(peelColor);
flagQueryParams += '&amp;redValue='+escape(redValue);
flagQueryParams += '&amp;greenValue='+escape(greenValue);
flagQueryParams += '&amp;blueValue='+escape(blueValue);

flagQueryParams += '&amp;loadSoundURL='+escape(loadSoundURL);

flagQueryParams += '&amp;flagSpeed='+escape(flagSpeed);

var peelQueryParams = 'peelPosition='+escape(peelPosition);

peelQueryParams += '&amp;bigURL='+escape(bigURL);
peelQueryParams += '&amp;mirror='+escape(mirror);

peelQueryParams += '&amp;peelColor='+escape(peelColor);
peelQueryParams += '&amp;redValue='+escape(redValue);
peelQueryParams += '&amp;greenValue='+escape(greenValue);
peelQueryParams += '&amp;blueValue='+escape(blueValue);

peelQueryParams += '&amp;linkTarget='+escape(linkTarget);
peelQueryParams += '&amp;link='+escape(link);

peelQueryParams += '&amp;openSoundURL='+escape(openSoundURL);
peelQueryParams += '&amp;closeSoundURL='+escape(closeSoundURL);

peelQueryParams += '&amp;peelSpeed='+escape(peelSpeed);
peelQueryParams += '&amp;automaticOpen='+escape(automaticOpen);
peelQueryParams += '&amp;automaticClose='+escape(automaticClose);

peelQueryParams += '&amp;close_button_enable='+escape(close_button_enable);
peelQueryParams += '&amp;text_on_close_button='+escape(text_on_close_button);
peelQueryParams += '&amp;close_redValue='+escape(close_redValue);
peelQueryParams += '&amp;close_greenValue='+escape(close_greenValue);
peelQueryParams += '&amp;close_blueValue='+escape(close_blueValue);

<!--
// -----------------------------------------------------------------------------
// Globals
// Major version of Flash required
var requiredMajorVersion = 9;
// Minor version of Flash required
var requiredMinorVersion = 0;
// Revision of Flash required
var requiredRevision = 45;
// -----------------------------------------------------------------------------
// -->

function doPeel(){
	document.getElementById('peelDiv').style.top = '0px'; 
	document.getElementById('flagDiv').style.top = '-1000px';
}

function doFlag(){
	document.getElementById("flagDiv").style.top = "0px";
	document.getElementById("peelDiv").style.top = "-1000px";
}

function showFlag(){
	document.getElementById("peelDiv").style.top = "-1000px";
	document.getElementById("flagDiv").style.display = "block"; 
	document.getElementById("peelDiv").style.zIndex = "9999";
}

function hideFlag(){
	document.getElementById("flagDiv").style.display = "none"; 
}

function writeObjects () {
<!--
	var hasRightVersion = DetectFlashVer(requiredMajorVersion, requiredMinorVersion, requiredRevision);

    // Check position of ear. 
    if(peelPosition == 'topleft') {
    	xPos = 'left';
    } else {
    	xPos = 'right';
    }
    
    // Write peel div layer
    document.write('<div id="peelDiv" style="position:absolute; width:500px; height:500px; z-index:-9999; ' + xPos + ':0px; top:0px;">');    	
	
	if(hasRightVersion) {  // if we've detected an acceptable version
		// embed the flash movie
		AC_FL_RunContent(
			'codebase', 'http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=9,0,45,0',
			'width', '500',
			'height', '500',
			'src', peelSwf,
			'flashvars', peelQueryParams,
			'quality', 'high',
			'pluginspage', 'http://www.macromedia.com/go/getflashplayer',
			'align', 'middle',
			'play', 'true',
			'loop', 'true',
			'scale', 'noscale',
			'wmode', 'transparent',
			'devicefont', 'false',
			'id', 'turn',
			'bgcolor', '#ffffff',
			'name', 'turn',
			'menu', 'true',
			'allowScriptAccess','sameDomain',
			'allowFullScreen','false',
			'movie', peelSwf,
			'salign', ''
			); //end AC code
	} else {  // flash is too old or we can't detect the plugin
		var alternateContent = 'Alternate HTML content should be placed here.'
			+ 'This content requires the Adobe Flash Player.'
			+ '<a href=http://www.macromedia.com/go/getflash/>Get Flash</a>';
		document.write(alternateContent);  // insert non-flash content
	}
	
    // Close peel div layer
    document.write('</div>'); 


    // Write flag div layer
    document.write('<div id="flagDiv" style="position:absolute; width:100px; height:100px; z-index:9999; ' + xPos + ':0px; top:0px;">');    	
	
	if(hasRightVersion) {  // if we've detected an acceptable version
		// embed the flash movie
		AC_FL_RunContent(
			'codebase', 'http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=9,0,45,0',
			'width', '100',
			'height', '100',
			'src', flagSwf,
			'flashvars', flagQueryParams,
			'quality', 'high',
			'pluginspage', 'http://www.macromedia.com/go/getflashplayer',
			'align', 'middle',
			'play', 'true',
			'loop', 'true',
			'scale', 'noscale',
			'wmode', 'transparent',
			'devicefont', 'false',
			'id', 'flag',
			'bgcolor', '#ffffff',
			'name', 'flag',
			'menu', 'true',
			'allowScriptAccess','sameDomain',
			'allowFullScreen','false',
			'movie', flagSwf,
			'salign', ''
			); //end AC code
	} else {  // flash is too old or we can't detect the plugin
		var alternateContent = 'Alternate HTML content should be placed here.'
			+ 'This content requires the Adobe Flash Player.'
			+ '<a href=http://www.macromedia.com/go/getflash/>Get Flash</a>';
		document.write(alternateContent);  // insert non-flash content
	}
	
    // Close flag div layer
    document.write('</div>');
    
    //setTimeout('document.getElementById("peelDiv").style.top = "-1000px";',100);
   	hideFlag();

// -->
}
